import z from 'zod';
export declare const loginSchema: z.ZodObject<Pick<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "username" | "password">, "strip", z.ZodTypeAny, {
    username: string;
    password: string;
}, {
    username: string;
    password: string;
}>;
declare const LoginDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<Pick<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "username" | "password">, "strip", z.ZodTypeAny, {
    username: string;
    password: string;
}, {
    username: string;
    password: string;
}>>;
export declare class LoginDto extends LoginDto_base {
}
export declare const loginResponseSchema: z.ZodObject<{
    user: z.ZodObject<Omit<{
        id: z.ZodString;
        username: z.ZodString;
        password: z.ZodString;
        isAdmin: z.ZodDefault<z.ZodBoolean>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
        fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    }, "password">, "strip", z.ZodTypeAny, {
        id: string;
        username: string;
        isAdmin: boolean;
        created_at: string;
        updated_at: string;
        filtroBaseActivo: boolean;
        fcmToken: string[];
    }, {
        id: string;
        username: string;
        created_at: string;
        updated_at: string;
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    }>;
    backendTokens: z.ZodObject<{
        accessToken: z.ZodString;
        refreshToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        accessToken: string;
        refreshToken: string;
    }, {
        accessToken: string;
        refreshToken: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        id: string;
        username: string;
        isAdmin: boolean;
        created_at: string;
        updated_at: string;
        filtroBaseActivo: boolean;
        fcmToken: string[];
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}, {
    user: {
        id: string;
        username: string;
        created_at: string;
        updated_at: string;
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}>;
declare const LoginResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    user: z.ZodObject<Omit<{
        id: z.ZodString;
        username: z.ZodString;
        password: z.ZodString;
        isAdmin: z.ZodDefault<z.ZodBoolean>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
        fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    }, "password">, "strip", z.ZodTypeAny, {
        id: string;
        username: string;
        isAdmin: boolean;
        created_at: string;
        updated_at: string;
        filtroBaseActivo: boolean;
        fcmToken: string[];
    }, {
        id: string;
        username: string;
        created_at: string;
        updated_at: string;
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    }>;
    backendTokens: z.ZodObject<{
        accessToken: z.ZodString;
        refreshToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        accessToken: string;
        refreshToken: string;
    }, {
        accessToken: string;
        refreshToken: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        id: string;
        username: string;
        isAdmin: boolean;
        created_at: string;
        updated_at: string;
        filtroBaseActivo: boolean;
        fcmToken: string[];
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}, {
    user: {
        id: string;
        username: string;
        created_at: string;
        updated_at: string;
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}>>;
export declare class LoginResponseDto extends LoginResponseDto_base {
}
export {};
