import { z } from 'zod';
export declare const cuentaSchema: z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    isAdmin: boolean;
    created_at: string;
    updated_at: string;
    filtroBaseActivo: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    password: string;
    created_at: string;
    updated_at: string;
    isAdmin?: boolean | undefined;
    filtroBaseActivo?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const CuentaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    isAdmin: boolean;
    created_at: string;
    updated_at: string;
    filtroBaseActivo: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    password: string;
    created_at: string;
    updated_at: string;
    isAdmin?: boolean | undefined;
    filtroBaseActivo?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class CuentaDto extends CuentaDto_base {
}
export {};
